## NAME

v.spag - Process spaghetti-digitized binary vector file.
(GRASS Vector Program)

## SYNOPSIS

v.spag
v.spag help
v.spag [-isp] map=name [threshold=value]

## DESCRIPTION

This program will fix vector data that were not digitized in correct GRASS vector format. It will create a node at every line crossing, and will delete all hanging lines of length less than the specified threshold.

## OPTIONS

### Flag:

-i
  Only do identical line removal pass.
-s
  Snap nodes.
-p
  Prompt user for threshold value.

### Parameters:

map=name
  Name of the binary vector file to be fixed.
threshold=value
  Node-snapping threshold value.

## NOTES

The user must run v.support after running v.spag to correct the topology (dig_plus) file.

v.spag generally deletes many lines from the input vector map layer. Because deleted lines are not eliminated from a vector data (dig) file, but are only marked as deleted, the user will probably wish to run v.clean on the vector file after running v.spag to eliminate any deleted lines from the dig file and decrease its size.

## BUGS

This program contains several known bugs. It will sometimes get stuck in a loop in which it creates the same line over and over again. It will occasionally create an incorrect line. Users are strongly urged to back-up their vector data files before running this alpha version of v.spag.

Update Note:
1/93: For GRASS Release 4.1, the -i flag has been added and bugs fixed. It works better than the 4.0 release.
6/00: The -s and -p flags has been added. One reason for loop fixed, please report if you get into the loop after this date.

## SEE ALSO

v.build.polylines, v.clean, v.digit, v.prune, v.rmdup, v.support

## AUTHOR

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/08/20 08:10:13 $